# Test script for Xccm
# Creates a new cc:Mail user
# Expects parameter Name 
# with optional Type Comment and Password
# See doc on ccm_DirAddUsr for options
# Fixed vars for poname and path, asks for po password

set poname "Test"
set popath "d:/ccmail/ccdata"

# utility proc to print out line w/o newline
proc print {str} {
puts -nonewline "$str "
flush stdout
}

#check params
if {$argc < 1} {
  puts {Usage: mkuser name [type] [comment] [password]}
  return
}

#load the extension
package require Xccm

#get the password
print "Password for PO $poname?" 
gets stdin popw

#try to log in. catch the error if any. 
if {[catch {set handle [ccm_Open $popath $poname $popw] } retval] == 0} {

  # eval saves parsing for different numbers of args
  # we just give them all to AddUsr.
  catch {eval ccm_DirAddUsr $handle $argv} retval
  ccm_Close $handle
}
# print out result or error msg
puts $retval
 
# v-important to call ccm_Stop last thing. It makes sure resources are freed etc.
ccm_Stop
exit
